xine-lib: xine-lib-1.2.12/src/post/goom/goom_config_param.h File Reference

xine-lib 1.2.12

Data Structures | Macros | Typedefs | Enumerations | Functions
goom_config_param.h File Reference
`#include <stdlib.h>`

Go to the source code of this file.

## Data Structures
struct | IntVal
struct | FloatVal
struct | StrVal
struct | ListVal
struct | BoolVal
struct | _PARAM
struct | _PARAMETERS

## Macros
#define | IVAL(p) ((p).param.ival.value)
#define | SVAL(p) ((p).param.sval.value)
#define | FVAL(p) ((p).param.fval.value)
#define | BVAL(p) ((p).param.bval.value)
#define | LVAL(p) ((p).param.slist.value)
#define | FMIN(p) ((p).param.fval.min)
#define | FMAX(p) ((p).param.fval.max)
#define | FSTEP(p) ((p).param.fval.step)
#define | IMIN(p) ((p).param.ival.min)
#define | IMAX(p) ((p).param.ival.max)
#define | ISTEP(p) ((p).param.ival.step)
#define | secure_f_param goom_secure_f_param
#define | secure_i_param goom_secure_i_param
#define | secure_b_param goom_secure_b_param
#define | secure_s_param goom_secure_s_param
#define | secure_f_feedback goom_secure_f_feedback
#define | secure_i_feedback goom_secure_i_feedback
#define | set_list_param_value goom_set_list_param_value
#define | set_str_param_value goom_set_str_param_value
#define | plugin_parameters goom_plugin_parameters

## Typedefs
typedef struct _PARAM | PluginParam
typedef struct _PARAMETERS | PluginParameters

## Enumerations
enum | ParamType { PARAM_INTVAL , PARAM_FLOATVAL , PARAM_BOOLVAL , PARAM_STRVAL , PARAM_LISTVAL }

## Functions
PluginParam | goom_secure_f_param (const char *name)
PluginParam | goom_secure_i_param (const char *name)
PluginParam | goom_secure_b_param (const char *name, int value)
PluginParam | goom_secure_s_param (const char *name)
PluginParam | goom_secure_f_feedback (const char *name)
PluginParam | goom_secure_i_feedback (const char *name)
void | goom_set_str_param_value (PluginParam *p, const char *str)
void | goom_set_list_param_value (PluginParam *p, const char *str)
PluginParameters | goom_plugin_parameters (const char *name, int nb)

## Macro Definition Documentation

## ◆ BVAL

#define BVAL | ( |  | p | ) | ((p).param.bval.value)

## ◆ FMAX

#define FMAX | ( |  | p | ) | ((p).param.fval.max)

## ◆ FMIN

#define FMIN | ( |  | p | ) | ((p).param.fval.min)

## ◆ FSTEP

#define FSTEP | ( |  | p | ) | ((p).param.fval.step)

## ◆ FVAL

#define FVAL | ( |  | p | ) | ((p).param.fval.value)

## ◆ IMAX

#define IMAX | ( |  | p | ) | ((p).param.ival.max)

## ◆ IMIN

#define IMIN | ( |  | p | ) | ((p).param.ival.min)

## ◆ ISTEP

#define ISTEP | ( |  | p | ) | ((p).param.ival.step)

## ◆ IVAL

#define IVAL | ( |  | p | ) | ((p).param.ival.value)

## ◆ LVAL

#define LVAL | ( |  | p | ) | ((p).param.slist.value)

## ◆ plugin_parameters

#define plugin_parameters goom_plugin_parameters

## ◆ secure_b_param

#define secure_b_param goom_secure_b_param

## ◆ secure_f_feedback

#define secure_f_feedback goom_secure_f_feedback

## ◆ secure_f_param

#define secure_f_param goom_secure_f_param

## ◆ secure_i_feedback

#define secure_i_feedback goom_secure_i_feedback

## ◆ secure_i_param

#define secure_i_param goom_secure_i_param

## ◆ secure_s_param

#define secure_s_param goom_secure_s_param

## ◆ set_list_param_value

#define set_list_param_value goom_set_list_param_value

## ◆ set_str_param_value

#define set_str_param_value goom_set_str_param_value

## ◆ SVAL

#define SVAL | ( |  | p | ) | ((p).param.sval.value)

## Typedef Documentation

## ◆ PluginParam

typedef struct _PARAM PluginParam

## ◆ PluginParameters

typedef struct _PARAMETERS PluginParameters

## Enumeration Type Documentation

## ◆ ParamType

enum ParamType

File created on 2003-05-24 by Jeko. (c)2003, JC Hoelt for iOS-software.

LGPL Licence.

Enumerator
PARAM_INTVAL |
PARAM_FLOATVAL |
PARAM_BOOLVAL |
PARAM_STRVAL |
PARAM_LISTVAL |

## Function Documentation

## ◆ goom_plugin_parameters()

PluginParameters goom_plugin_parameters | ( | const char * | name,
|  | int | nb
| ) |  |

References _PARAMETERS::desc, _PARAMETERS::name, name, _PARAMETERS::nbParams, and _PARAMETERS::params.

## ◆ goom_secure_b_param()

PluginParam goom_secure_b_param | ( | const char * | name,
|  | int | value
| ) |  |

References BVAL, _PARAM::name, name, PARAM_BOOLVAL, secure_param(), and _PARAM::type.

## ◆ goom_secure_f_feedback()

PluginParam goom_secure_f_feedback | ( | const char * | name | ) |

References name, _PARAM::rw, and secure_f_param.

## ◆ goom_secure_f_param()

PluginParam goom_secure_f_param | ( | const char * | name | ) |

References FMAX, FMIN, FSTEP, FVAL, _PARAM::name, name, PARAM_FLOATVAL, secure_param(), and _PARAM::type.

## ◆ goom_secure_i_feedback()

PluginParam goom_secure_i_feedback | ( | const char * | name | ) |

References name, _PARAM::rw, and secure_i_param.

## ◆ goom_secure_i_param()

PluginParam goom_secure_i_param | ( | const char * | name | ) |

References IMAX, IMIN, ISTEP, IVAL, _PARAM::name, name, PARAM_INTVAL, secure_param(), and _PARAM::type.

## ◆ goom_secure_s_param()

PluginParam goom_secure_s_param | ( | const char * | name | ) |

References _PARAM::name, name, PARAM_STRVAL, secure_param(), SVAL, and _PARAM::type.

## ◆ goom_set_list_param_value()

void goom_set_list_param_value | ( | PluginParam * | p,
|  | const char * | str
| ) |  |

References LVAL.

## ◆ goom_set_str_param_value()

void goom_set_str_param_value | ( | PluginParam * | p,
|  | const char * | str
| ) |  |

References SVAL.